
Auto Multiple Choice - Support # 89: Is the 'prepare project' command documented

Status: Closed Priority: Normal
Author: Pieter  Van den Hombergh Category:
Description: I am considering to provide the amc service to my colleagues. It is working at the moment

with an X-server session and possibly with a VNC-server/client too. 
It lets me maintain the latex +AMC enviroment.
It makes it workable for one of my colleagues with a ubuntu laptop and X.

To make it even more comfortable (think Windows users) I am also considering to use the command line 
version of auto-multiple-choice 
in combination with a small web site. 
In particular for the whole work flow of preparing the print outs, calibrating, reading the scans and marking it 
should be very simple to set up such a server with some perl/php. Once it is ready I will be glad to share (of 
course)
Process would be 
# Pick project name (Subject+date of exam). This creates the project directory.
# Point to repository of question set or modules (course). They all should have a fixed structure as they have 
in my practice
# upload the set of students in students.csv to the said directory.
# choose or upload the questions file. We combine all questions in one file named questions.tex and per line 
something like
  \element{general}{\inputQ{patterns/oMatchesAdapter.tex}}
# Run all steps until print ready.
# after the exam, upload the scanned file
# do the post processing.

For all that I need to know how to prepare an empty AMC project, just like the GUI does when you prepare a 
new project.

Is the command to prepare a AMC-project directory documented somewhere?

History
10/30/2012 05:34 pm - Alexis Bienvenüe
Very interesting!
> Is the command to prepare a AMC-project directory documented somewhere?
The only thing to do is create the (empty) directory structure, and put your subject and students list there. You can get some hints from [[Using AMC in 
command line only]].

10/30/2012 07:26 pm - Pieter  Van den Hombergh
Alexis Bienvenüe wrote:
> Very interesting!
> > Is the command to prepare a AMC-project directory documented somewhere?
> The only thing to do is create the (empty) directory structure, and put your subject and students list there. You can get some hints from [[Using AMC in 
command line only]].

Good pointer and very helpful.
How can I correct my typo in the subject in an issue?
It should read 'Is the \'prepare project\' command documented' without the first t in Its.

10/30/2012 09:49 pm - Alexis Bienvenüe
- Subject changed from Its the 'prepare project' command documented to Is the 'prepare project' command documented

12/18/2012 05:43 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed
